package ipcbus;
import com.ochafik.lang.jnaerator.runtime.LibraryExtractor;
import com.ochafik.lang.jnaerator.runtime.MangledFunctionMapper;
import com.sun.jna.Library;
import com.sun.jna.Native;
import com.sun.jna.NativeLibrary;
import com.sun.jna.Pointer;
import com.sun.jna.ptr.DoubleByReference;
import java.nio.ByteBuffer;
import java.nio.DoubleBuffer;
/**
 * JNA Wrapper for library <b>ipcbus</b><br>
 * This file was autogenerated by <a href="http://jnaerator.googlecode.com/">JNAerator</a>,<br>
 * a tool written by <a href="http://ochafik.com/">Olivier Chafik</a> that <a href="http://code.google.com/p/jnaerator/wiki/CreditsAndLicense">uses a few opensource projects.</a>.<br>
 * For help, please visit <a href="http://nativelibs4java.googlecode.com/">NativeLibs4Java</a> , <a href="http://rococoa.dev.java.net/">Rococoa</a>, or <a href="http://jna.dev.java.net/">JNA</a>.
 */
public interface IpcbusLibrary extends Library {
	public static final String JNA_LIBRARY_NAME = LibraryExtractor.getLibraryPath("ipcbus", true, IpcbusLibrary.class);
	public static final NativeLibrary JNA_NATIVE_LIB = NativeLibrary.getInstance(IpcbusLibrary.JNA_LIBRARY_NAME, MangledFunctionMapper.DEFAULT_OPTIONS);
	public static final IpcbusLibrary INSTANCE = (IpcbusLibrary)Native.loadLibrary(IpcbusLibrary.JNA_LIBRARY_NAME, IpcbusLibrary.class, MangledFunctionMapper.DEFAULT_OPTIONS);
	/**
	 * returns BusConnectorID<br>
	 * Original signature : <code>int CreateBusConnector()</code><br>
	 * <i>native declaration : line 40</i>
	 */
	int CreateBusConnector();
	/**
	 * Original signature : <code>void DestroyBusConnector(int)</code><br>
	 * <i>native declaration : line 47</i>
	 */
	void DestroyBusConnector(int BusConnectorID);
	/**
	 * Original signature : <code>bool CreateBus(int, char*)</code><br>
	 * <i>native declaration : line 56</i><br>
	 * @deprecated use the safer methods {@link #CreateBus(int, java.nio.ByteBuffer)} and {@link #CreateBus(int, com.sun.jna.Pointer)} instead
	 */
	@Deprecated 
	byte CreateBus(int BusConnectorID, Pointer BusName);
	/**
	 * Original signature : <code>bool CreateBus(int, char*)</code><br>
	 * <i>native declaration : line 56</i>
	 */
	byte CreateBus(int BusConnectorID, ByteBuffer BusName);
	/**
	 * Original signature : <code>bool OpenBus(int, char*)</code><br>
	 * <i>native declaration : line 65</i><br>
	 * @deprecated use the safer methods {@link #OpenBus(int, java.nio.ByteBuffer)} and {@link #OpenBus(int, com.sun.jna.Pointer)} instead
	 */
	@Deprecated 
	byte OpenBus(int BusConnectorID, Pointer BusName);
	/**
	 * Original signature : <code>bool OpenBus(int, char*)</code><br>
	 * <i>native declaration : line 65</i>
	 */
	byte OpenBus(int BusConnectorID, ByteBuffer BusName);
	/**
	 * Original signature : <code>bool CloseBus(int)</code><br>
	 * <i>native declaration : line 74</i>
	 */
	byte CloseBus(int BusConnectorID);
	/**
	 * Original signature : <code>int CreateConnection(int, char*)</code><br>
	 * <i>native declaration : line 82</i><br>
	 * @deprecated use the safer methods {@link #CreateConnection(int, java.nio.ByteBuffer)} and {@link #CreateConnection(int, com.sun.jna.Pointer)} instead
	 */
	@Deprecated 
	int CreateConnection(int BusConnectorID, Pointer ConnectionName);
	/**
	 * Original signature : <code>int CreateConnection(int, char*)</code><br>
	 * <i>native declaration : line 82</i>
	 */
	int CreateConnection(int BusConnectorID, ByteBuffer ConnectionName);
	/**
	 * Original signature : <code>bool CloseConnection(int)</code><br>
	 * <i>native declaration : line 90</i>
	 */
	byte CloseConnection(int BusConnectorID);
	/**
	 * Original signature : <code>bool SendQuotes(int, double, double)</code><br>
	 * <i>native declaration : line 98</i>
	 */
	byte SendQuotes(int BusConnectorID, double Buf1, double Buf2);
	/**
	 * Original signature : <code>bool GetQuotes(int, double*, double*)</code><br>
	 * <i>native declaration : line 115</i><br>
	 * @deprecated use the safer methods {@link #GetQuotes(int, java.nio.DoubleBuffer, java.nio.DoubleBuffer)} and {@link #GetQuotes(int, com.sun.jna.ptr.DoubleByReference, com.sun.jna.ptr.DoubleByReference)} instead
	 */
	@Deprecated 
	byte GetQuotes(int BusConnectorID, DoubleByReference Buf1, DoubleByReference Buf2);
	/**
	 * Original signature : <code>bool GetQuotes(int, double*, double*)</code><br>
	 * <i>native declaration : line 115</i>
	 */
	byte GetQuotes(int BusConnectorID, DoubleBuffer Buf1, DoubleBuffer Buf2);
	/**
	 * Original signature : <code>DWORD GetDataSize(int)</code><br>
	 * <i>native declaration : line 136</i>
	 */
	int GetDataSize(int BusConnectorID);
	/**
	 * Original signature : <code>char GetConnectionsCount(int)</code><br>
	 * <i>native declaration : line 145</i>
	 */
	byte GetConnectionsCount(int BusConnectorID);
	/**
	 * Original signature : <code>bool GetConnectionName(int, BYTE, char[256])</code><br>
	 * <i>native declaration : line 154</i><br>
	 * @deprecated use the safer methods {@link #GetConnectionName(int, byte, java.nio.ByteBuffer)} and {@link #GetConnectionName(int, byte, com.sun.jna.Pointer)} instead
	 */
	@Deprecated 
	byte GetConnectionName(int BusConnectorID, byte ConnectionNumber, Pointer ConnectionName);
	/**
	 * Original signature : <code>bool GetConnectionName(int, BYTE, char[256])</code><br>
	 * <i>native declaration : line 154</i>
	 */
	byte GetConnectionName(int BusConnectorID, byte ConnectionNumber, ByteBuffer ConnectionName);
}
